cycleFacet

Good Afternoon, I am new to NXOpen and

could you explain what is tag and how cycleFacet works?


theUfSession.Facet.CycleFacets(facetModel, ref facetid);

while (facetid != UFConstants.UF_FACET_NULL_FACET_ID)
{
int numvertices;
theUfSession.Facet.AskNumVertsInFacet(facetModel, facetid, out numvertices);

double[,] vertices = new double[numvertices, 3];
theUfSession.Facet.AskVerticesOfFacet(facetModel, facetid, out numvertices, vertices);

for (int i = 0; i < numvertices; i++)
{
double[] coords = new double[] { vertices[i, 0], vertices[i, 1], vertices[i, 2] };
theUfSession.Disp.DisplayTemporaryPoint(Tag.Null, UFDisp.ViewType.UseWorkView, coords, ref attrib, UFDisp.PolyMarker.Asterisk);
}

theUfSession.Facet.CycleFacets(facetModel, ref facetid);